/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\events and scenarios\Halloween2008\HalloweenEventPumpkin.cs
Lines of code: 35
***********************************************************/


using System;
using Server;
using Server.Targeting;

namespace Server.Items
{
	public class HalloweenEventPumpkin: Item
	{
	
		[Constructable]
		public HalloweenEventPumpkin() : base( 3179 )
		{
			Hue = Utility.RandomList(1, 1161, 1175, 1157, 1359);
			Name = "Halloween Pumpkin";
			Weight = 1.0;
			LootType=LootType.Blessed;			
		}

		public HalloweenEventPumpkin( Serial serial ) : base( serial )
		{
		}
		
		public override void GetProperties( ObjectPropertyList list )
		{
			base.GetProperties( list );
			list.Add(1060658,"Halloween Event Item \t{0}","(Collect as many as you can!)");
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}